Package org.apache.tomcat.util.json

# Class JSONParserTokenManager

java.lang.Object
org.apache.tomcat.util.json.JSONParserTokenManager

All Implemented Interfaces:
  `JSONParserConstants`

public class JSONParserTokenManager extends Object implements JSONParserConstants
Token Manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`curChar`
`PrintStream`
`debugStream`
Debug output.
`protected JavaCharStream`
`input_stream`
`static final int[]`
`jjnewLexState`
Lex State array.
`static final String[]`
`jjstrLiteralImages`
Token literal values.
`static final String[]`
`lexStateNames`
Lexer state names.

### Fields inherited from interface org.apache.tomcat.util.json.JSONParserConstants

`BRACE_CLOSE, BRACE_OPEN, BRACKET_CLOSE, BRACKET_OPEN, C_MULTILINE_COMMENT, C_SINGLE_COMMENT, COLON, COMMA, DEFAULT, DIGIT, DIGIT_NONZERO, EOF, EOL, FALSE, NULL, NUMBER_DECIMAL, NUMBER_INTEGER, QUOTE_DOUBLE, QUOTE_SINGLE, SH_SINGLE_COMMENT, STRING_DOUBLE_BODY, STRING_DOUBLE_EMPTY, STRING_DOUBLE_NONEMPTY, STRING_SINGLE_BODY, STRING_SINGLE_EMPTY, STRING_SINGLE_NONEMPTY, SYMBOL, tokenImage, TRUE, WHITESPACE, ZERO`

## Constructor Summary

Constructors
Constructor
Description
`JSONParserTokenManager(JavaCharStream stream)`
Constructor.
`JSONParserTokenManager(JavaCharStream stream, int lexState)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
Get the next Token.
`protected Token`
`jjFillToken()`
`void`
`ReInit(JavaCharStream stream)`
Reinitialise parser.
`void`
`ReInit(JavaCharStream stream, int lexState)`
Reinitialise parser.
`void`
`setDebugStream(PrintStream ds)`
Set debug output.
`void`
`SwitchTo(int lexState)`
Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream
Debug output.

### jjstrLiteralImages

public static final String[] jjstrLiteralImages
Token literal values.

### lexStateNames

public static final String[] lexStateNames
Lexer state names.

### jjnewLexState

public static final int[] jjnewLexState
Lex State array.

### input_stream

protected JavaCharStream input_stream

### curChar

protected int curChar

## Constructor Details

### JSONParserTokenManager

public JSONParserTokenManager(JavaCharStream stream)
Constructor.

### JSONParserTokenManager

public JSONParserTokenManager(JavaCharStream stream, int lexState)
Constructor.

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)
Set debug output.

### jjFillToken

protected Token jjFillToken()

### getNextToken

public Token getNextToken()
Get the next Token.

### ReInit

public void ReInit(JavaCharStream stream)
Reinitialise parser.

### ReInit

public void ReInit(JavaCharStream stream, int lexState)
Reinitialise parser.

### SwitchTo

public void SwitchTo(int lexState)
Switch to specified lex state.